gr::gsm::trx_burst_if Class Reference

<+description of block+> More...

`#include <trx_burst_if.h>`

Inheritance diagram for gr::gsm::trx_burst_if:

## Public Types

typedef std::shared_ptr< trx_burst_if > | sptr

## Static Public Member Functions

static sptr | make (const std::string &bind_addr, const std::string &remote_addr, const std::string &base_port)
| Return a shared_ptr to a new instance of grgsm::trx_burst_if.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<trx_burst_if> gr::gsm::trx_burst_if::sptr

## Member Function Documentation

## make()

sptr gr::gsm::trx_burst_if::make | ( | const std::string & | bind_addr,
|  | const std::string & | remote_addr,
|  | const std::string & | base_port )

static

Return a shared_ptr to a new instance of grgsm::trx_burst_if.

To avoid accidental use of raw pointers, grgsm::trx_burst_if's constructor is in a private implementation class. grgsm::trx_burst_if::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- trx_burst_if.h